Name:          libarchive
Version:       3.5.2
Release:       1mamba
Summary:       Single library to read/write tar, cpio, pax, zip, iso9660, etc.
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://libarchive.org/
Source:        https://github.com/libarchive/libarchive.git/v%{version}/libarchive-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libacl-devel
BuildRequires: libattr-devel
BuildRequires: libb2-devel
BuildRequires: libbzip2-devel
BuildRequires: libgomp-devel
BuildRequires: liblz4-devel
BuildRequires: liblzma-devel
BuildRequires: liblzo-devel
BuildRequires: libnettle-devel
BuildRequires: libopenssl-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
BuildRequires: libzstd-devel
## AUTOBUILDREQ-END
BuildRequires: libe2fs-devel

%description
Libarchive is a programming library that can create and read several different streaming archive formats, including most popular tar variants, several cpio formats, and both BSD and GNU ar variants.
It can also write shar archives and read ISO9660 CDROM images and ZIP archives.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Libarchive is a programming library that can create and read several different streaming archive formats, including most popular tar variants, several cpio formats, and both BSD and GNU ar variants.
It can also write shar archives and read ISO9660 CDROM images and ZIP archives.

This package contains static libraries and header files need for development.

%package tools
Group:        Applications/Archiving
Summary:      Archiving tools built on libarchive
Requires:     %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
Libarchive is a programming library that can create and read several different streaming archive formats, including most popular tar variants, several cpio formats, and both BSD and GNU ar variants.
It can also write shar archives and read ISO9660 CDROM images and ZIP archives.
This package contains the following programs built on libarchive:
 - bsdtar
    A full-featured 'tar' replacement.
 - bsdcpio
    A different interface to cpio with essentially the same functionality.

%debug_package

%prep
%setup -q
autoreconf -f -i

%build
%configure \
   --enable-shared \
   --disable-static \
   --enable-bsdcat=shared \
   --enable-bsdtar=shared \
   --enable-bsdcpio=shared \
   --with-lzo2 \
   --with-nettle \
   --enable-largefile

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

mv %{buildroot}%{_mandir}/man5/cpio.5 %{buildroot}%{_mandir}/man5/archive_cpio.5
mv %{buildroot}%{_mandir}/man5/tar.5 %{buildroot}%{_mandir}/man5/archive_tar.5

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libarchive.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/archive_entry.h
%{_includedir}/archive.h
%{_libdir}/libarchive.la
%{_libdir}/libarchive.so
%{_libdir}/pkgconfig/libarchive.pc
%{_mandir}/man3/*
%{_mandir}/man5/*
%doc examples
%doc contrib/libarchive_autodetect-st_lib_archive.m4
%doc NEWS

%files tools
%defattr(-,root,root)
%{_bindir}/bsdcat
%{_bindir}/bsdcpio
%{_bindir}/bsdtar
%{_mandir}/man1/bsdcat.1*
%{_mandir}/man1/bsdcpio.1*
%{_mandir}/man1/bsdtar.1*

%changelog
* Sat Dec 04 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.2-1mamba
- update to 3.5.2

* Thu Dec 31 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.0-2mamba
- rebuilt with debug package

* Thu Dec 03 2020 Automatic Build System <autodist@mambasoft.it> 3.5.0-1mamba
- automatic version update by autodist

* Fri May 22 2020 Automatic Build System <autodist@mambasoft.it> 3.4.3-1mamba
- automatic version update by autodist

* Thu Feb 13 2020 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Wed Jan 01 2020 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Fri Aug 02 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.0-1mamba
- update to 3.4.0

* Sat Sep 08 2018 Automatic Build System <autodist@mambasoft.it> 3.3.3-1mamba
- automatic version update by autodist

* Sat Aug 05 2017 Automatic Build System <autodist@mambasoft.it> 3.3.2-1mamba
- automatic version update by autodist

* Wed Mar 01 2017 Automatic Build System <autodist@mambasoft.it> 3.3.1-1mamba
- automatic version update by autodist

* Fri Feb 24 2017 Automatic Build System <autodist@mambasoft.it> 3.3.0-1mamba
- automatic version update by autodist

* Sun Dec 18 2016 Automatic Build System <autodist@mambasoft.it> 3.2.2-1mamba
- automatic version update by autodist

* Mon Jul 04 2016 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Thu Jun 26 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.2-3mamba
- rebuilt to remove link time dependency on libacl.la

* Mon Jul 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.2-2mamba
- rebuilt to remove deps on /lib*/libacl.la

* Sat Apr 27 2013 Automatic Build System <autodist@mambasoft.it> 3.1.2-1mamba
- update to 3.1.2

* Mon Dec 03 2012 Automatic Build System <autodist@mambasoft.it> 3.0.4-1mamba
- update to 3.0.4

* Mon Apr 23 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.5-1mamba
- update to 2.8.5

* Sat Feb 18 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.4-3mamba
- rebuilt with new attr due to change of position of library from /usr/lib to /lib

* Wed Jan 12 2011 Automatic Build System <autodist@mambasoft.it> 2.8.4-2mamba
- automatic update by autodist

* Wed Oct 06 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.4-1mamba
- update to 2.8.4

* Thu Nov 12 2009 Davide Madrisan <davide.madrisan@gmail.com> 2.7.1-1mamba
- update to 2.7.1
- fixed project and tarball URLs

* Sun Jan 11 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.0-1mamba
- automatic update by autodist

* Thu Aug 28 2008 Aleph0 <aleph0@openmamba.org> 2.5.5-1mamba
- update to 2.5.5

* Sat Mar 08 2008 Aleph0 <aleph0@openmamba.org> 2.4.13-1mamba
- package created by autospec
